#!/bin/sh
#
##########################################################################
# 
# Copyright (c) 1993-5 by Radiance Software
#
# All rights reserved. This listing of source code is proprietary and
# confidential to Radiance Software. It may not be copied or made 
# available in any form (electronic or hard copy) to any person not
# authorized by Radiance Software.
# Unpublished - Rights reserved under all copyright laws
#
# Radiance Software, 1726 Francisco Street, Berkeley, CA 94703
#
##########################################################################

###########################################################################
#
# Echo which machine architecture. Currently supported machines include:
#
#     sun
#     sgi
#     hp
#     ibm
#
###########################################################################

case $1 in
   -u) U=1;;
    *) U=;;
esac

MC=sgi
MCU=SGI
UN=IRIX
if [ "`uname | cut -c1-4`" = "$UN" ]; then
   if [ "$U" = "1" ]; then
      echo $MCU
   else
      echo $MC
   fi
   exit 0;
fi

MC=sun
MCU=SUN
UN=SunOS
if [ "`uname`" = "$UN" ]; then
   if [ "$U" = "1" ]; then
      echo $MCU
   else
      echo $MC
   fi
   exit 0;
fi


MC=hp
MCU=HP
UN=HP-UX
if [ "`uname`" = "$UN" ]; then
   if [ "$U" = "1" ]; then
      echo $MCU
   else
      echo $MC
   fi
   exit 0;
fi


MC=ibm
MCU=IBM
UN=AIX
if [ "`uname`" = "$UN" ]; then
   if [ "$U" = "1" ]; then
      echo $MCU
   else
      echo $MC
   fi
   exit 0;
fi

echo unknown
exit 1


